﻿
namespace Hotline.Share.Dtos.Bigscreen
{
    public class OrderStatisticsDto
    {
        /// <summary>
        /// 办结数
        /// </summary>
        public int CompletionCount { get; set; }
        /// <summary>
        /// 办结率
        /// </summary>
        public double CompletionRate { get; set; }

        /// <summary>
        /// 待受理
        /// </summary>
        public int HaveToAcceptCount { get; set; }

        /// <summary>
        /// 待受理率
        /// </summary>
        public double HaveToAcceptRate { get; set;}

        /// <summary>
        /// 超期工单数
        /// </summary>
        public int OverTimeCount { get; set; }

        /// <summary>
        /// 超期率
        /// </summary>
        public double OverTimeRate { get; set; }

        /// <summary>
        /// 延期工单数
        /// </summary>
        public int DelayCount { get; set; }

        /// <summary>
        /// 延期率
        /// </summary>
        public double DelayRate { get; set; }

        /// <summary>
        /// 满意工单数
        /// </summary>
        public int SatisfiedCount { get; set; }

        /// <summary>
        /// 满意率
        /// </summary>
        public double SatisfiedRate { get; set; }

        /// <summary>
        /// 省工单量
        /// </summary>
        public int ProvinceOrderCount { get; set; }

        /// <summary>
        /// 省工单办结
        /// </summary>
        public int ProvinceOrderCompletionCount { get; set; }
    }

    public class KnowledgeStatisticsDto
    {
        public int TodayAddCount { get; set; }

        public int ThisMonthModifyCount { get; set; }

        public int TodayReadCount { get; set; }

        public int KnowledgeCount { get; set; }
    }

    public class OrderTypeHandleStatisticsDto
    {
        public string AcceptType { get; set; }

        public int SumCount { get; set; }

        public int HandlingCount { get; set; }

        public int FiledCount { get; set; }

        public int OverTimeCount { get; set; }
    }

    public class EarlyWarningHotsPotsStatisticsDto
    {
        public string HotspotId { get; set; }

        public string HotspotName { get; set; }

        public int SumCount { get; set; }
    }
}
